/********************************************************************/

/*                                                                  */

/* (C) Copyright IBM UK Ltd. 1996                                   */

/*                                                                  */

/* SYSDUMP - Example of DosForceSystemDump usage.                   */

/*                                                                  */

/* Force a system dump.                                             */

/* Richard Moore 4th January 99                                     */

/* Version 1.0                                                      */

/*                                                                  */

/* Syntax SYSDUMP                                                   */

/*                                                                  */

/*                                                                  */

/********************************************************************/





#define INCL_DOSMISC  



#include <os2.h>

#include <conio.h>

#include <stdio.h>

#include <string.h>

#include <stdlib.h>

#include "apis.h"          /* include this if not using the toolkit for Warp E-Server */



/*************************************************************************************/

/*                                                                                   */

/* Purpose:                                                                          */

/*                                                                                   */

/* DosForceSystemDump initiates a stand-alone dump. The system terminates abruptly   */

/* without shutdown as soon as the dump is initiated.                                */

/*                                                                                   */

/*************************************************************************************/



/*************************************************************************************/

/*                                                                                   */

/*                       Prototype definition for DosForceSystemDump                 */

/*                                                                                   */

/*************************************************************************************/

/*                                                                                   */

/*************************************************************************************/

/*                                                                                   */

/*     APIRET APIENTRY DosForceSystemDump(ULONG reserved);                           */

/*                                                                                   */

/*************************************************************************************/



/*************************************************************************************/

/*                                                                                   */

/* DosForceSystemDump returns the following return codes:                            */

/*                                                                                   */

/*************************************************************************************/

/*                                                                                   */

/* 87      ERROR_INVALID_PARAMETER                                                   */

/*                                                                                   */

/*************************************************************************************/





int main(int argc, char *argv[], char *envp[])

{

   APIRET rc;



   rc=DosForceSystemDump(0L);   /* will kill the system with a system dump */

                                /* does not return unless an error occurs */



   printf("DosForceSystemDump returned %u\n",rc);



   return rc;

}



